*
* $Id$
*
* $Log$
*
*CMZ :  3.00/00 28/01/2002  20.40.04  by  Unknown
*-- Author :    Marialuigia Ambriola   05/04/2001
      REAL FUNCTION XTRINTEG(X,Y,SS,N)
*********************************************
* Integrates the spectrum absorbed in Xe-CO2
* called by GPUSTEP
*********************************************
      INTEGER N,I
      REAL X(N),Y(N),SS(N),S
C
      S=0.
      SS(1)=0.
      XTRINTEG=0.
      DO I=2,N
         S=S+(X(I)-X(I-1))*(Y(I)+Y(I-1))/2.
         SS(I)=S
      ENDDO
      XTRINTEG=S
c      PRINT*,'XTRINTEG=',XTRINTEG
      RETURN
      END
